CREATE TABLE IF NOT EXISTS wk_join_approval (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    apply UUID NOT NULL,
    wk UUID NOT NULL,
    "user" UUID NOT NULL,
    approver UUID NOT NULL,
    approved BOOLEAN NOT NULL DEFAULT FALSE,
    reason TEXT,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now()
);
